## midori 0.2.1-0git0

=== debian/changelog ===
midori (0:0.2.1-0git0) unstable; urgency=low

  * Initial version, based on git snapshot from 2009-11-30 19:52:42.

 -- Christian Dywan <christian@twotoasts.de>  Mon, 30 Nov 2009 20:19:54 +0100
