=== debian/control ===
Source: midori
Section: user/network
Priority: optional
Maintainer: Christian Dywan <christian@twotoasts.de>
Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.1.0), pkg-config (>= 0.18), libglib2.0-dev, libhildonfm2-dev, libhildon1-dev, libosso-dev, mce-dev, libhildonmime-dev, libsoup2.26-dev (>= 2.26.0), libwebkit-1.0-dev (>= 1.1.10), libsqlite3-dev

Package: midori
Architecture: any
Depends: libhildonfm2, libhildon1, libosso1, mce, libhildonmime0, libsoup2.26-1 (>= 2.26.0), libwebkit-1.0-2 (>= 1.1.10), libsqlite3-0
Description: Fast and lightweight web browser.
 Midori is a customizable WebKit based web browser.
XB-Maemo-Display-Name: Midori
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0SU1FB9kLAxQcKSNqtyUAAA5mSURBVGje
 3Vl5kFXllf/d5S29vNcLve80TUN3Q7M2qyKbUCCQYBUxRgQddVwyJoFInEQLiRVTFU2lplwm0WRm
 dKJJgFGkGxCMCogssons0N08eue93l6//d37feebP+7tB2hDPxyYcuarevXu8t1zz++c3/md794L
 /B8ZM2dCHei4+m1zNG8xEq0coyFjHICZAO4BgCbgCICJ3zoAhUuQJxNmScBsAUySBEohI7H/vASp
 BxCrXAl451uRgRFL4NAI8wUwR5WVeZCljILC3JYx40drFkXJOXL0uKW7q6cLQvxLMBL4Y+Mm4bme
 Pel/w+mqZUjmkv1eu832YDAQGl9SUhSomTg2YXR1ZWJBYT5OnzqLjRtqdbfH0wNIPz8xwv8W1oHi
 sX1LAdz+aP4cSZV/6XF7JlVWjJSnTa9RqsdUgqkBOK1Z6Ov14a0//02cO9vQKyvqmi9Ke96M1/Fb
 B2AZlHtH16xtam15grgYcue8O6RpU6dAl33whC5CSBqGpdfgs92HsX79Js3hdLzh97p/emojtOuZ
 LV6EqbKMC65auG9JDaxbt06+YN/xwqkz537SF/DZ71/+fYysKEd3sBmu4AGEuBcFKSOQJpXgpd/8
 Qb/U7q4PhUN3n1ofOjeY7Tt+WPRiU1PzmvKyYdtdaFxw0zOw4jdTVl5wNb+amJSYvPwH30NxYTE8
 IRfcofPQRRSSLDB8yCT0tmv47UuvhQXEH7/UfKuxEXwwhsxfM7w20Be4665F86Tdn+5t3vHbhuKb
 loEHX749s7uje0d9vWvsffctk8ZWV6Mz0IwzPbugiQhIMKiyFZVZt+H4kXPiD6+/GWSMr2jczDfF
 07iUMUP3EeM1a59bg05PF6KRaMJNk9HvPFNxz/GjJ9+aMrnG9tSqVQjpvTjXfQAahcBIgxAcNksC
 KjKm48ihk9HX33gzpOv6TFctjg9mO3sekrSSnEPZTkfFkz96BFaLih5Vgc7YzekDi35e+YrH3fX4
 6h//k1JcUIKO4Dl4tQ5w4iDBIcBhVWwYmTkdRw+eCv3+9/8eJo3Pcm3DicFsly5GUWpa2v7hw0vz
 Hn7ofvTq7ej2XgLCqVBkmf5HAGbOhKpX5G0VxOe+8PwvZS5FcKHvMHQKgwSBwECCQ5YtGJExHZ0d
 Xv21f/03jQSfHY/zRYswx5Zgf3/hwjuTFyyYg95oO/Y2bkd55lgQ55BlOfTNASyDEkrJ3F1dXjbl
 H1Y8JHeHWtATbQUnDQQz8oJDgDDUOQayUPH88y96iPNfuLYMShtp2HflNXarbe2q1U8kVVSUozvS
 hs8atoFpMmRYEI5qYJyC3wzAMigTE9I+Hj9mzJQH7lspd/jPI8B6QEIHBwcnAgkOLjjS7HlITczB
 xo2bG/2B4BdNW/Cf1zNdvhgZsFr/IzNzyIx/fvonSenpqWj2H8cR1wFwJkMQhwQFoWAQEOj6RgAq
 pYS/VY2qmvzAD1bKrf4zCDMfuNCviDoztwm5SeVguo5t2z5MhcDa69kdeheWkaK8Nm/2DNs99yx1
 KhYFR93b4epoBnHEbEqQ4PMHAOKXbhjA8LstT2blZM1//KHH7B2B84hyP0gYDvdTx/gx2FUn7NYE
 nD9frzHGG5q24sxANssWoAA25VWH0zFt9aon0ktLi5Uw68OuC3Xo9YZBJCAEgYQACYIsKQgGgwhF
 ohduCEDxYoy3Wqy/eu6pZx2e8EWEyWcUq+DgghnUMUgEAsEqGTLd2dkty7J8Bl/pU2ULUCAsyjOS
 Ii1fuHAuv/vuxSmKquBc716caj0OHlXAQRAkQCAI4iAhIMsKvN4+vbu3N34AEybA0qda3nt69aok
 soQRivSAiIMLHUIwEBEEGDgxg0aCoFEYkiQwrGyommC3fW/hU/l/P3uuvl6W5ZrEpKTl0Uh0zJw5
 M2jJdxcmO5KT0B1pxeGmD+Hr00Ekg4hDCGFmlCCEACeCVbaiu7snKOEGaqA3T/5hxfDS5GHDhilt
 /tMmbRiEIOhCg04RkGQ4LmDUgU+/hLAeQG5uNh599IHEnbv2vl1SWszz8/LUsWNHobq6ComJCeiM
 unDw4h70eIMgJht0iUWdzCyb+4LDpibC7ekiAbTEBaBgPtJVi7LuiUceS+kMNYELBmIKfNEuhJgf
 URaFAMxoMaiKDEkSUGQZX3Z+gOrsOzF+whiMnzBG6r9HiHvRGjgKV8NZ+AOaoTCQQGREG4LART/3
 6YpsCNitCfD2em02oDkuABYrVk+dOomsTiAYiiAc0XEp4gJx3VysG4YhBAAJOhMmb3UgJOOTvvdh
 s8uwWa3gjCGoBRGNEIhZASIQZBDRVyLenwUeO8aJAAlQYYGuM8uFungotA6y5bjlsYUL56aFon54
 gz3wRJogIIyoQ0AQQYj+bQEBI+VCCAjBAVIR9HEEEDEUBRYIwWOySCTMbRFzVEgCRMzs6P2Z4FBV
 Fb09XsiQWuN6Ji45iHnZxZm29OxkNHka4Q5fjNFFiCscH2CfhDCUA4jJoAAZBX+FLAoynDSEwFQ1
 ossFbNKKBMFhTUKH2+NjxBviApCalvLTuXNnJncEGtEedBmOQgAkQBAAYEaVrgAiwE3VgOkYgQAS
 hsCSOdeUxRhlTDBcUOwaIwvCXBgSHLZUNDa4LgkJAz74yF89EA6HJ48bNxreSKfhpDCjZ9IFANIT
 M6HKVhDvj14/NSi2IiUiMOLGHOLg3OgbjHMwYsY+Z9A5M23oYFwHJw5OhuJxoSPDkYuGeldYooGb
 4lUZKFiEfFmR1SFD0nHigg/E6Sq6yJKK2SOWIhLSYLHJ2HW+FmE9dJk+gpv/15ZFImbQpz8wMfqQ
 uaZiEERg5vGStJHY0L7bJgmcGjQDKmF0Xn5uUOMhhPXgZWUwOVueVY1gXwirVz0Lq2JDamKmEXVh
 RI0LIwOMjKVF/zY3I0y8f455jutgxMDMTHCugRGDTgyMGAQ4clOK0Nfrz5JtODt4DUjITk9LJa9+
 CSDJiJKZAUWyoCh9ODZs2IwZM6aCQHD72gx6XNX+r+C3AFRFRVQPm9Sg2BKhHywgTGf7pZOb/wxp
 yWnw9QXCJIhd3ATP4ABkpDsdDjnMfCAum/w3CrbAWYpoJIrdOz/DC79+FifbDyGih64pi7KiYH7V
 UuSlFKHN24S6L98xsgBhqowwec7N2qGYAnFhrKHKMitx4vipZmBg/n+9iAUsVptV40Iz1yPGzTgJ
 5DgLcfjwMVRUjoAjNQn17hOXKWLShxEHM1emxenDkEgp+NnP1iE/tRgZyVnggoNxZlzDNehcBzeL
 mnENjPSY8wBQmTsBhw4d8wPYHy8AfygUIUVSYykms3ENSc7CyZNnMW7caLh9rdC4DjK5fLkGGMh0
 sDRjJHbs+ATV1ZUQEOgJ9kLnDIx0MNKgm9fqXDPUx8xgjBqKiqL0MtQ3uJyyhH3xAZDQ4/P7QhY5
 AQJ6TBatqg0WxYb2tg4UFhWgL9wbk0U+gCyqigUFqSXYu+8gZs26HR3eFvSFu8CFDk4sJqW6WbQk
 vv42sTx7FLSoTqFgMJf8OBwXAEnGsdbWdtVpzQKXtJiS2FQ7AMDnDyDF6UAw4jc03VQXblKHm/TJ
 dOTA4+mGosjIz8/F2Y5j0LkOnbEYXXSuDeh4/xhbOAX79h5qF0J8dHEXInEBcNXifG9Pr8OOFKgW
 cQWNLg+73TaoLOY4CtDc3IKhQ0sAAPWe00aWSIfOtat4PtCwWewozxqFDz/cCSHw9vXmfrUTC53x
 3fv3H7qU4ygynCfjGQAALBYVfn/AcIK4yWmDOozrhpYTR0ZyNvq8fgwZkooIC8Pta4+Bu5Ln1xoT
 i29HR5sHbrfHPjSI2hsBAFng5b/+5d1oVeY0QOrnuQEgxemAzxeAgIhlgZtNh5vNSycNibYk6IzB
 arXCF/JC49Hr0uXqOpQwaegM1G3d4eHEX9m1C+yGALi2Yk+fz++q+6/dZ8aV1IAkhrAeMBd6afB0
 dsGm2GPKMZAsAkBCgh26zkCDvr+9elTkViFBcuDggSNJXMKfBpsvD3RQUbBi29aPEvdtvnBo6dgV
 fExZlfHmrDgfrc1tsFkSoJuKM5AsBqJ+pKWmwOPpRFpiBiRJijP4EhaM+j7q6rb3MKJ3W2rR/o0A
 NG5GC5PFtJ0797T96NF1rrd/t6v27x/tDEXCEVxwNcFmU8ymM7AstnmbUFiUj6amFthUO4rSy+IC
 MKG0BnYk44MPPrYwnZ6P55prPtSb6JcOW8LL6htcSzo93SFnimOGz+fPqsyqUXclbkGPzw8BMnrA
 FcrS6DmDmeULwTnB7e7EuMIpaOquv64jjqQkLKpaiTde/3O7zvTNLR+gMR4A8mATGmvR0LQFv/vy
 L75792S3FQb9gYZjx052zR/9HUgyH1AWL3bXwxvuxrhxo3H48DFMLLkNidbka97DalGxcuqTaDzv
 0j4/cAg2CU/HWzPyDVXYOhAJWvPyK38KFyZV81nVd8Bi+boJIQS+aD6A6dMn45OdeyCEwOOzBvYp
 IcGC+6b+I6xaqnjxpVe9nPgD52rhj9cl5Ua/DfSex/nkYbzy88+PqA8ufSyzsrBSDrBL0BGBLBvO
 2+0qMlJTMWXEbLz3bh06OjzstinTpAxnhtQT7gAjHTabBSMLyrF84o9hZ+l45tlfdQaCodUX6/D+
 Lf9KWbUM1kAY7zidjsrn1q7Jyc3NTgeACA+AhA674oQEGRvWb/q0tm7HDAChlBTnqYcfuT9n7NjR
 hbKpStFoFJ/u3h/46/r3Ilo4usq19fpd92Z/ZpWKF+NxCdIvSooLeyZNHp+Um5OdpWk6P336rPvA
 50ct0UikiXM8nOVBc3culgN4WFXVirTUlABxbvX6/Q5J4GOd8aev9SL4ln8nLlsAG5MxE8A0ACOF
 hKgk4BIStjdt+fo6vmoZksNBDBUqJCvguhG+/78c/w3KNz47ZMlVZwAAAABJRU5ErkJggg==

Package: midori-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: midori (= ${Source-Version})
Description: Debugging symbols for Midori.
 Midori is a customizable WebKit based web browser.
