=== debian/rules ===
#!/usr/bin/make -f

# TODO: Omit documentation files

DEB_TAR_SRCDIR=midori-0.2.1-8877894
DEB_DH_STRIP_ARGS := --dbg-package=midori

include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_CLEAN_TARGET = clean
DEB_MAKE_CHECK_TARGET := 
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp/
DEB_CONFIGURE_SCRIPT = $(CURDIR)/$(DEB_SRCDIR)/configure
DEB_CONFIGURE_NORMAL_ARGS = --prefix=/usr
# DEB_CONFIGURE_NORMAL_ARGS += $(if $(subst $(DEB_SRCDIR),,$(DEB_BUILDDIR)),,--srcdir=.)
DEB_CONFIGURE_EXTRA_FLAGS = 
DEB_CONFIGURE_INVOKE = cd $(if $(DEB_BUILDDIR_$(cdbs_curpkg)),$(DEB_BUILDDIR_$(cdbs_curpkg)),$(DEB_BUILDDIR)) && $(DEB_CONFIGURE_SCRIPT) $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_EXTRA_FLAGS)
CFLAGS += -DG_DISABLE_CHECKS

configure/midori::
	# Build against libsoup-2.26
	sed -i 's/libsoup-2.4/libsoup-2.26/g' $(DEB_BUILDDIR)/wscript
	$(DEB_CONFIGURE_INVOKE)
	# Strip msgctxt from po files
	sed -i 's/msgctxt/#/g' $(DEB_BUILDDIR)/po/*.po

clean::
	rm -f Makefile
	rm -Rf _build_
