## midori 0.2.1-0git1

=== wscript ===
--- 
+++ 
@@ -24,8 +24,8 @@
 import misc
 
 major = 0
-minor = 1
-micro = 9
+minor = 2
+micro = 1
 
 APPNAME = 'midori'
 VERSION = str (major) + '.' + str (minor) + '.' + str (micro)
@@ -56,12 +56,12 @@
     return False
 
 # Compile Win32 res files to (resource) object files
-@extension ('.rc')
 def rc_file(self, node):
     rctask = self.create_task ('winrc')
     rctask.set_inputs (node)
     rctask.set_outputs (node.change_ext ('.rc.o'))
     self.compiled_tasks.append (rctask)
+rc_file = extension ('.rc')(rc_file)
 Task.simple_task_type ('winrc', '${WINRC} -o${TGT} ${SRC}', color='BLUE',
     before='cc cxx', shell=False)
 
@@ -181,15 +181,6 @@
         unique = 'no '
     conf.define ('HAVE_UNIQUE', [0,1][unique == 'yes'])
 
-    if option_enabled ('libidn'):
-        check_pkg ('libidn', '1.0', False)
-        libidn = ['N/A','yes'][conf.env['HAVE_LIBIDN'] == 1]
-        if libidn != 'yes':
-            option_checkfatal ('libidn', 'international domain names')
-    else:
-        libidn = 'no '
-    conf.define ('HAVE_LIBIDN', [0,1][libidn == 'yes'])
-
     if option_enabled ('sqlite'):
         check_pkg ('sqlite3', '3.0', False, var='SQLITE')
         sqlite = ['N/A','yes'][conf.env['HAVE_SQLITE'] == 1]
@@ -206,15 +197,33 @@
     args = ''
     if Options.platform == 'win32':
         args = '--define-variable=target=win32'
+    elif sys.platform != 'darwin':
+        check_pkg ('x11')
     check_pkg ('gtk+-2.0', '2.10.0', var='GTK', args=args)
     check_pkg ('webkit-1.0', '1.1.1', args=args)
     check_pkg ('libsoup-2.4', '2.25.2')
     conf.define ('HAVE_LIBSOUP_2_25_2', 1)
+    check_pkg ('libsoup-2.4', '2.27.90', False, var='LIBSOUP_2_27_90')
     check_pkg ('libxml-2.0', '2.6')
+
+    if conf.env['HAVE_LIBSOUP_2_27_90']:
+       idn = 'yes'
+       conf.define ('HAVE_LIBIDN', 0)
+    else:
+        if option_enabled ('libidn'):
+            check_pkg ('libidn', '1.0', False)
+            idn = ['N/A','yes'][conf.env['HAVE_LIBIDN'] == 1]
+            if idn != 'yes':
+                option_checkfatal ('libidn', 'international domain names')
+        else:
+            idn = 'no '
+        conf.define ('HAVE_LIBIDN', [0,1][idn == 'yes'])
 
     if option_enabled ('hildon'):
         if check_pkg ('hildon-1', mandatory=False, var='HILDON'):
             check_pkg ('libosso', var='HILDON')
+            check_pkg ('hildon-1', '2.2', var='HILDON_2_2')
+            check_pkg ('hildon-fm-2', var='HILDON_FM')
         hildon = ['N/A','yes'][conf.env['HAVE_HILDON'] == 1]
         if hildon != 'yes':
             option_checkfatal ('hildon', 'Maemo integration')
@@ -228,6 +237,7 @@
     conf.env['docs'] = option_enabled ('docs')
 
     conf.check (header_name='unistd.h')
+    conf.check (header_name='signal.h')
     if not conf.env['HAVE_UNIQUE']:
         if Options.platform == 'win32':
             conf.check (lib='ws2_32')
@@ -266,16 +276,15 @@
         elif debug_level == 'full':
             # -Wdeclaration-after-statement
             # -Wmissing-declarations -Wmissing-prototypes
-            # -Wwrite-strings
+            # -Wwrite-strings -Wunsafe-loop-optimizations -Wmissing-include-dirs
             conf.env.append_value ('CCFLAGS',
                 '-Wall -Wextra -O1 -g '
                 '-Waggregate-return -Wno-unused-parameter '
                 '-Wno-missing-field-initializers '
-                '-Wunsafe-loop-optimizations '
                 '-Wredundant-decls -Wmissing-noreturn '
                 '-Wshadow -Wpointer-arith -Wcast-align '
                 '-Winline -Wformat-security '
-                '-Winit-self -Wmissing-include-dirs -Wundef '
+                '-Winit-self -Wundef '
                 '-Wmissing-format-attribute -Wnested-externs '
                 '-DG_ENABLE_DEBUG'.split ())
     elif debug_level != 'none':
@@ -287,7 +296,7 @@
         Icon optimizations:  %(icons)s (rsvg-convert)
         Persistent history:  %(sqlite)s (sqlite3)
 
-        IDN support:         %(libidn)s (libidn)
+        IDN support:         %(idn)s (libidn or libsoup 2.27.90)
         User documentation:  %(user_docs)s (docutils)
         API documentation:   %(api_docs)s (gtk-doc)
         ''' % locals ()
@@ -296,7 +305,7 @@
         Utils.pprint ('RED', 'Please use an older or newer version.')
 
 def set_options (opt):
-    def is_maemo (): return os.path.exists ('/etc/osso-af-init/osso-gtk.defs')
+    def is_maemo (): return os.path.exists ('/etc/osso-af-init/')
 
     def add_enable_option (option, desc, group=None, disable=False):
         if group == None:
@@ -310,11 +319,3 @@
     opt.tool_options ('compiler_cc')
     opt.get_option_group ('--check-c-compiler').add_option('-d', '--debug-level',
         action = 'store', default = '',
-        help = 'Specify the debugging level. [\'none\', \'debug\', \'full\']',
-        choices = ['', 'none', 'debug', 'full'], dest = 'debug_level')
-    opt.tool_options ('gnu_dirs')
-    opt.parser.remove_option ('--oldincludedir')
-    opt.parser.remove_option ('--htmldir')
-    opt.parser.remove_option ('--dvidir')
-    opt.parser.remove_option ('--pdfdir')
-    opt.parser.remove_option ('--psdir')
