=== debian/changelog ===
midori (0:0.2.1-0git1) unstable; urgency=low

  * Update to git snapshot from 2009-12-03 00:06:53.
  * Install extensions to /opt/maemo/usr/lib/midori.
  * Add Adblock extension to the package.

 -- Christian Dywan <christian@twotoasts.de>  Mon, 03 Dec 2009 02:01:00 +0100
