=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # TODO: Omit documentation files
 
-DEB_TAR_SRCDIR=midori-0.2.1-8877894
+DEB_TAR_SRCDIR=midori-0.2.1-c7601bd
 DEB_DH_STRIP_ARGS := --dbg-package=midori
 
 include /usr/share/cdbs/1/rules/debhelper.mk
