## midori 0.2.2-1ubuntu1trisquel1

=== debian/changelog ===
midori (0.2.2-1ubuntu1trisquel1) taranis; urgency=low

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 May 2011 19:56:18 +0000

midori (0.2.2-1ubuntu1) lucid; urgency=low

  * Use internal copy of waf.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 27 Feb 2010 15:27:17 +0100

midori (0.2.2-1) unstable; urgency=low

  * New Upstream Version (Closes: #556184, #558339)
    - fixes local uri handling (Closes: #560866, #550844)
    - move libnotify from Recommends to Build-Deps to follow upstream
    - update debian/copyright to match upstream changes
    - fixes handling of URLs like "some.url?%00" (Closes: #561451)
    - running twice doesn't crash the browser (Closes: #514435)
    - Ctrl-w on last tab now closes it but still not the browser
      (Closes: #545251)
    - Ctrl-u in urlbar with emacs key binding theme works (Closes: #538327)
  * move libjs-mootools to Recommends, it's not required (Closes:
    #547584)
  * tell the user to report the bug against libwebkit-1.0-2 if they
    reproduce it in the Webkit test browser. Figure out the package name
    and the path to GtkLauncher automagically during build. (Closes:
    #562501)
  * switch to system waf
    - the FTBFS #559989 is no longer the fault of anything in my package,
      and I've set #561130 in the BTS to affect midori, so (Closes: #559989)
  * refresh patch

 -- Ryan Niebur <ryan@debian.org>  Thu, 24 Dec 2009 18:30:46 -0800

midori (0.2.0-1) unstable; urgency=low

  * New Upstream Version
    (Closes: 551328, 551513)
  * update debian/copyright
  * bump libwebkit-dev build-dep to 1.1.15 for adblock (Closes: 546985)
  * update my email address and remove DMUA field

 -- Ryan Niebur <ryan@debian.org>  Sun, 18 Oct 2009 15:44:22 -0700

midori (0.1.10-1) unstable; urgency=low

  * New upstream release
  * use mootools.js from the libjs-mootools package

 -- Ryan Niebur <ryanryan52@gmail.com>  Tue, 15 Sep 2009 22:46:55 -0700

midori (0.1.9-1) unstable; urgency=low

  * fix watch file, thanks to Rogério Brito
  * New Upstream Version (Closes: #541354)
    - refresh patches
    - update copyright
  * fix Homepage field, thanks to Francesco Poli (Closes: #541414)
  * improve bugs search to work for packages too, thanks to Denis
    Laxalde for the suggestion (Closes: #542050)
  * Debian Policy 3.8.3

 -- Ryan Niebur <ryanryan52@gmail.com>  Wed, 02 Sep 2009 15:36:37 -0700

midori (0.1.8-1) unstable; urgency=low

  * New Upstream Version
    - refresh patches
    - enable tests
    - update debian/copyright
  * Debian Policy 3.8.2

 -- Ryan Niebur <ryanryan52@gmail.com>  Sat, 01 Aug 2009 09:07:30 -0700

midori (0.1.7-1) unstable; urgency=low

  * New Upstream Version
  * adopt package: set myself as maintainer, remove uploaders (Closes: #528731)
  * rearrange the debian/rules file
  * use xvfb for tests, but disable them, they don't work right
  * use 'dh --with quilt' for patching instead of including
    /usr/share/quilt/quilt.make
  * fix format of debian/copyright
  * build dep on debhelper 7.0.50 instead of 7.2
  * add debian bts to the list of searches, thanks to Giuseppe for the
    patch (Closes: #525991)
  * refresh patches
  * change the default-homepage patch to use the files in debian/config/
    to set the default homepage based on whether it's debian, ubuntu,
    etc (second half of ubuntu diff)
  * also set a priority number for the alternative in the distro config
    file. This sets it to 50 for debian, and 39 for ubuntu (just under
    firefox). This addresses the other half of the ubuntu diff.
  * add recommends on libnotify1
  * update copyright information
  * remove extra file, debian/patches/0001-Don-t-expressly-use-libkatze-
    in-extensions-to-avoid.patch
  * remove some old todo items from debian/TODO

 -- Ryan Niebur <ryanryan52@gmail.com>  Fri, 29 May 2009 20:31:09 -0700

midori (0.1.6-1) experimental; urgency=low

  * New upstream release (Closes: #525471).

 -- Trent W. Buck <trentbuck@gmail.com>  Sat, 25 Apr 2009 11:09:59 +1000

midori (0.1.5-1) experimental; urgency=low

  * New upstream release (Closes: #522549).
  * Cherry-pick -fPIC fix from upstream's git and remove previous
    kludge from debian/rules (Closes: #518281).
  * Don't allow linking with incompatibly old libsoup (Closes: #522436).
  * Use new "debug" section for midori-dbg.
  * As Midori is still immature, reduce its priority as an x-www-browser
    alternatives.  Mainly this is to keep Ubuntu's iceweasel users happy.

    Long-term, I should collaborate with the other x-www-browser providers
    to agree on a numbering system (e.g. by popcon popularity).  Currently
    it is as follows:

    20 conkeror, 30 chimera2, 50 dillo, 50 midori, 69 xlinks2,
    70 iceweasel, 70 kazehakase, 85 epiphany-gecko, 100 konqueror,
    100 netsurf, 120 galeon

 -- Trent W. Buck <trentbuck@gmail.com>  Sun, 05 Apr 2009 14:07:42 +1000

midori (0.1.4-2) experimental; urgency=low

  * Always use -fPIC. (Closes: #518281).
  * Force rebuild with newer dependencies, to see what happens.
    The next upstream release will require these version bumps anyway.

    * Bump libsoup dependency to 2.25.2.
    * Bump webkit dependency to 1.1 (Closes: #519854, #519123).
    * Bump libunique dependency to 1.0.6 (Closes: #509801).
      Note that 1.0.2 should work: only 1.0.4 is bad.

  * Reintroduce quilt while we wait for the 3.0 source format.
    * Add a Debian search to the default search list (Closes: #520381).
    * Make the homepage a local file.  See patch header for rationale.

  * Use new dh 7.2 "overrides" style.
  * Update copyright file.
  * Remove stale CDBS dependency.
  * Bump standards version to 3.8.1.  No changes necessary.

 -- Trent W. Buck <trentbuck@gmail.com>  Sat, 21 Mar 2009 21:39:05 +1100

midori (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * Use dh(1).
  * New dependency (libidn11-dev) and undependency (libhildon-1-dev).

