## midori 0.2.3-1mint1

=== debian/changelog ===
midori (0.2.3-1mint1) helena-fluxbox; urgency=low

  * updated using source from version 0.2.3

 -- Kendall Weaver <kendalltweaver@gmail.com>  20 Feb 2010 13:03:00 -0500

midori (0.2.2-0mint2) helena; urgency=low

  * corrected menu icon error
  * added inst/rm scripts from previous Ubuntu build

 -- Kendall Weaver <kendalltweaver@gmail.com>  03 Jan 2010 05:29:00 -0500

midori (0.2.2-0mint1) helena; urgency=low

  * built from source for testing in Linux Mint 8 Fluxbox CE

 -- Kendall Weaver <kendalltweaver@gmail.com>  03 Jan 2010 02:12:00 -0500
