=== debian/control ===
Source: midori
Section: admin
Priority: required
Maintainer: Kendall Weaver <kendalltweaver@gmail.com>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.7.2

Package: midori
Depends:  libwebkit-1.0-2, libwebkit-1.0-common, python-webkit
Recommends: flashplugin-installer
Architecture: all 
Description:  The Midori web browser
 A fast, lightweight web browser built on the webkit engine.
