## midori 0.2.4

=== wscript ===
--- 
+++ 
@@ -20,12 +20,12 @@
 import os
 import UnitTest
 import Task
-from TaskGen import extension
+from TaskGen import extension, feature, taskgen
 import misc
 
 major = 0
 minor = 2
-micro = 1
+micro = 4
 
 APPNAME = 'midori'
 VERSION = str (major) + '.' + str (minor) + '.' + str (micro)
@@ -118,6 +118,7 @@
         if not conf.find_program ('convert', var='CONVERT'):
             Utils.pprint ('YELLOW', 'midori.ico won\'t be created')
         conf.find_program ('windres', var='WINRC')
+        conf.env['platform'] = 'win32'
 
     # This is specific to cross compiling with mingw
     if is_mingw (conf.env) and Options.platform != 'win32':
@@ -190,6 +191,15 @@
         sqlite = 'no '
     conf.define ('HAVE_SQLITE', [0,1][sqlite == 'yes'])
 
+    if option_enabled ('libnotify'):
+        check_pkg ('libnotify', mandatory=False)
+        libnotify = ['N/A','yes'][conf.env['HAVE_LIBNOTIFY'] == 1]
+        if libnotify != 'yes':
+            option_checkfatal ('libnotify', 'notifications')
+    else:
+        libnotify = 'no '
+    conf.define ('HAVE_LIBNOTIFY', [0,1][libnotify == 'yes'])
+
     conf.check (lib='m', mandatory=True)
     check_pkg ('gmodule-2.0', '2.8.0', False)
     check_pkg ('gthread-2.0', '2.8.0', False)
@@ -204,6 +214,7 @@
     check_pkg ('libsoup-2.4', '2.25.2')
     conf.define ('HAVE_LIBSOUP_2_25_2', 1)
     check_pkg ('libsoup-2.4', '2.27.90', False, var='LIBSOUP_2_27_90')
+    check_pkg ('libsoup-2.4', '2.29.3', False, var='LIBSOUP_2_29_3')
     check_pkg ('libxml-2.0', '2.6')
 
     if conf.env['HAVE_LIBSOUP_2_27_90']:
@@ -235,9 +246,9 @@
     if 'CC' in os.environ: conf.env['CC'] = os.environ['CC'].split()
     conf.env['addons'] = option_enabled ('addons')
     conf.env['docs'] = option_enabled ('docs')
+    if 'LINGUAS' in os.environ: conf.env['LINGUAS'] = os.environ['LINGUAS']
 
     conf.check (header_name='unistd.h')
-    conf.check (header_name='signal.h')
     if not conf.env['HAVE_UNIQUE']:
         if Options.platform == 'win32':
             conf.check (lib='ws2_32')
@@ -246,11 +257,14 @@
         conf.define ('HAVE_NETDB_H', [0,1][conf.check (header_name='netdb.h')])
         conf.check (header_name='sys/wait.h')
         conf.check (header_name='sys/select.h')
-        conf.check (function_name='inet_aton')
-        conf.check (function_name='inet_addr')
+        conf.check (function_name='inet_aton', header_name='sys/types.h sys/socket.h netinet/in.h arpa/inet.h')
+        conf.check (function_name='inet_addr', header_name='sys/types.h sys/socket.h netinet/in.h arpa/inet.h')
     conf.define ('HAVE_OSX', int(sys.platform == 'darwin'))
     if Options.platform == 'win32':
         conf.env.append_value ('LINKFLAGS', '-mwindows')
+        conf.env.append_value ('program_LINKFLAGS', ['-Wl,--out-implib=default/midori/libmidori.a', '-Wl,--export-all-symbols'])
+    else:
+        conf.check (header_name='signal.h')
 
     conf.define ('PACKAGE_VERSION', VERSION)
     conf.define ('PACKAGE_NAME', APPNAME)
@@ -284,9 +298,13 @@
                 '-Wredundant-decls -Wmissing-noreturn '
                 '-Wshadow -Wpointer-arith -Wcast-align '
                 '-Winline -Wformat-security '
-                '-Winit-self -Wundef '
+                '-Winit-self -Wundef -Wdeclaration-after-statement '
                 '-Wmissing-format-attribute -Wnested-externs '
-                '-DG_ENABLE_DEBUG'.split ())
+            # -DGSEAL_ENABLE
+                '-DG_ENABLE_DEBUG -DG_DISABLE_DEPRECATED '
+                '-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED '
+                '-DGTK_DISABLE_DEPRECATED -DPANGO_DISABLE_DEPRECATED '
+                '-DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE'.split ())
     elif debug_level != 'none':
             Utils.pprint ('RED', 'No debugging level support for ' + compiler)
             sys.exit (1)
@@ -294,28 +312,4 @@
     print '''
         Localization:        %(nls)s (intltool)
         Icon optimizations:  %(icons)s (rsvg-convert)
-        Persistent history:  %(sqlite)s (sqlite3)
-
-        IDN support:         %(idn)s (libidn or libsoup 2.27.90)
-        User documentation:  %(user_docs)s (docutils)
-        API documentation:   %(api_docs)s (gtk-doc)
-        ''' % locals ()
-    if unique == 'yes' and conf.check_cfg (modversion='unique-1.0') == '1.0.4':
-        Utils.pprint ('RED', 'unique 1.0.4 found, this version is erroneous.')
-        Utils.pprint ('RED', 'Please use an older or newer version.')
-
-def set_options (opt):
-    def is_maemo (): return os.path.exists ('/etc/osso-af-init/')
-
-    def add_enable_option (option, desc, group=None, disable=False):
-        if group == None:
-            group = opt
-        option_ = option.replace ('-', '_')
-        group.add_option ('--enable-' + option, action='store_true',
-            default=False, help='Enable ' + desc, dest='enable_' + option_)
-        group.add_option ('--disable-' + option, action='store_true',
-            default=disable, help='Disable ' + desc, dest='disable_' + option_)
-
-    opt.tool_options ('compiler_cc')
-    opt.get_option_group ('--check-c-compiler').add_option('-d', '--debug-level',
-        action = 'store', default = '',
+        History:             %(sqlite)s (sqlite3)
