=== debian/changelog ===
midori (0.2.4-3) unstable; urgency=low

  * don't run the tests
  * add debian/source/format
  * fix building in Serial mode (on HPPA)

 -- Ryan Niebur <ryan@debian.org>  Sun, 18 Apr 2010 23:41:50 -0700

midori (0.2.4-2) unstable; urgency=low

  * use a patched waf for hppa, thanks to Jakub Wilk (Closes: #559989)

 -- Ryan Niebur <ryan@debian.org>  Mon, 29 Mar 2010 00:39:30 -0700

midori (0.2.4-1) unstable; urgency=low

  * New Upstream Version
    - update d/copyright
    - handles files in current dir correctly (Closes: #565329)
  * use bundled waf again (Closes: 571709)
  * set Standards-Version to 3.8.4

 -- Ryan Niebur <ryan@debian.org>  Sun, 07 Mar 2010 22:28:54 -0800
