=== debian/watch ===
version=3
http://archive.xfce.org/src/apps/midori/(?:[\d.]+)/midori-([\d.]+).tar.bz2
